Subject: Re: NTSC Video on the 823

From: Matthew Locke <[email-masked]>
Date: Thu, 22 Mar 2001 14:01:27 -0800

chuck's code is based on a different i2c driver than the one in
8xx_io.   Unless Todd has the i2c driver developed by EP, it probably
won't work

Dan Malek wrote:
>
> "Todd M. Tomaino" wrote:
>
> > I followed the readme instructions for adding the VideoTest.c and Vid823.c
> > files with the following header comments:
>
> Where did you find these files?
>
> > + * Started with Dan's LCD code, created NTSC Video Driver (4/2000)
> > + * Chuck Spaur ([email-masked])
>
> Although I wrote the first LCD driver, it has been fortunately discarded
> and written as a proper frame buffer driver by others (at least Joe
> Green).  I have no idea what Chuck did to the original driver when
> he created this one.
>
> > made it to here !!!
> > Open error -19
>
> Where is this "Open error -19" coming from?  There is lots more
> code executed than your little snippet shows.
>
> > void initVideo(IMAGEINFO *p_image)
> > {
> >         int     num_pages, i, j;
> >         u_char  *fbuf, *cp;
> >         printf("made it to here !!!\n");
> > =====>>>if ((p_image->display_fd = open("/dev/vid", O_RDWR)) < 0) {
> >                 perror("video open");
> >                 exit(2);
>
> Either your open is actually successful and further in the program
> there is some error, or the driver is failing in the open function
> and printing that error above.  It looks like some NULL pointer
> dereference.
>
>         -- Dan
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/